const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("cfollowlog", {
    clue_id: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '线索ID' },
    record: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '沟通记录' },
    operator: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '操作人' },
    follow_date:{type:DataTypes.DATE, allowNull: true, COMMENT: '跟进时间' }
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    tableName: 'c_follow_log',
    validate: {},
    indexes: [],
  });
}